﻿@using System.Web.UI.WebControls;
<div style="left: 10px; width: 1300px;">
    <table border="0">

        <tr>
            <td>
                <table> 
                    <tr>
                        <td style="vertical-align: middle;">
                            @Html.DevExpress().Label(
                                l =>
                                {
                                    l.Text = "Upload";
                                    l.ControlStyle.CssClass = "label";
                                }
                                     ).GetHtml()
                        </td>
                        <td style="display: inline-block; width: 290px;">
                            <div style="width: 190px; float: left; background-color: red;">
                                @using (Html.BeginForm("OnUploadCallbackRouteValues", "SubManifestCreationSPEX", FormMethod.Post, new { enctype = "multipart/form-data" }))
                                { 
                                    @Html.DevExpress().UploadControl(u =>
                            {
                                u.Name = "SMCUpload";
                                u.BrowseButton.Text = "Browse";
                                u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                                u.ShowAddRemoveButtons = false;
                                u.Width = Unit.Pixel(190);

                                u.ValidationSettings.MaxFileSize = 10000000;
                                u.ValidationSettings.AllowedFileExtensions = new string[] { ".xls" };
                                u.ValidationSettings.ShowErrors = true;

                                u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                                u.ValidationSettings.NotAllowedFileExtensionErrorText = "xls only";

                                u.CallbackRouteValues = new { Controller = "SubManifestCreationSPEX", Action = "OnUploadCallbackRouteValues" };

                                u.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                                u.ShowProgressPanel = false;
                                u.Style.Add("float", "left");

                            }).GetHtml()

                                }
                            </div>
                            <div style="width: 3px; float: left;">&nbsp</div>
                            <div style="width: 70px; float: left;">
                                @Html.DevExpress().Button(
                                            setting =>
                                            {
                                                setting.Name = "btnUpload";
                                                setting.Text = "Upload";
                                                setting.Width = Unit.Pixel(70);
                                                setting.UseSubmitBehavior = true;
                                                setting.Style.Add("display", "inline-table");
                                                setting.ClientSideEvents.Click = "upload";
                                                setting.Style.Add("float", "left");
                                            }
                                            ).GetHtml()
                            </div>
                        </td> 
                    </tr>
                    <tr style="vertical-align: top;">
                        <td></td>
                        <td style="width: 310px;">
                            <div>
                                @Html.DevExpress().HyperLink(
                                            Lnk =>
                                            {
                                                Lnk.Name = "LnkDownloadTemplate";
                                                Lnk.Properties.Text = "Download Template";
                                                Lnk.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                                Lnk.Properties.Style.Font.Underline = true;
                                                Lnk.ControlStyle.Cursor = "pointer";
                                                Lnk.Properties.ClientSideEvents.Click = "DownloadTemplate";
                                            }
                                        ).GetHtml()
                            </div>
                        </td>
                    </tr>
                </table> 
            </td>  
            <td style="vertical-align:top">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "* Manifest No";
                }).GetHtml()
            </td>
            <td></td>
            <td style="vertical-align:top">
                @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "SMCManifestNoText";
                textBox.Name = "SMCManifestNoText";
                textBox.Properties.MaxLength = 16;
                textBox.Width = Unit.Pixel(110);
            }).GetHtml()
            </td> 
            <td style="width: 30px;"></td> 
            <td style="vertical-align:top" >
                @Html.DevExpress().Label(
                    l =>
                    {
                        l.Text = "Supplier";
                        l.ControlStyle.CssClass = "label";
                        l.Width = Unit.Pixel(50);
                    }
                ).GetHtml()
            </td>
            <td style="vertical-align:top" >
                @Html.Common().DevExpress().GridLookup(
                    sett =>
                    {
                        sett.Name = "gridSupplier";
                        sett.GridProperties.CallbackRouteValues = new { Controller = "SubManifestCreationSPEX", Action = "getSupplierData" };
                        sett.GridProperties.ClientSideEvents.BeginCallback = "gridSupplierCallback";
                        sett.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                        sett.Width = Unit.Pixel(130);
                        sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        sett.GridProperties.Width = Unit.Pixel(400);
                        sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                        sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);

                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "SUPPLIER CODE - PLANT";
                                 l.FieldName = "SUPPLIER_CODE_PLANT";
                                 l.Caption = "Supp. Code - Plant";
                                 l.Width = Unit.Pixel(120);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );

                        sett.GridProperties.Columns.Add(
                            l =>
                            {
                                l.Name = "SUPPLIER NAME";
                                l.FieldName = "SUPPLIER_NAME";
                                l.Caption = "Supplier Name";
                                //l.Width = Unit.Percentage(250);
                                l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            }
                          );
                    }
                    ).Bind(ViewData["supplierDatas"]).GetHtml()
            </td> 
            <td style="width: 30px;"></td>
            <td style="vertical-align:top">
                @Html.DevExpress().Label(
                    l =>
                    {
                        l.Text = "Sub. Supplier";
                        l.ControlStyle.CssClass = "label";
                        l.Width = Unit.Pixel(80);
                    }
                ).GetHtml()

            </td> 
            <td style="vertical-align:top" >
                @Html.Common().DevExpress().GridLookup(
                    sett =>
                    {
                        sett.Name = "gridSubSupplier";
                        sett.GridProperties.CallbackRouteValues = new { Controller = "SubManifestCreationSPEX", Action = "getSubSupplierData" };
                        sett.GridProperties.ClientSideEvents.BeginCallback = "gridSubSupplierCallback";
                        sett.GridProperties.KeyFieldName = "SUB_SUPPLIER_CODE_PLANT";
                        sett.Width = Unit.Pixel(130);
                        sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        sett.GridProperties.Width = Unit.Pixel(400);
                        sett.GridProperties.SettingsPager.NumericButtonCount = 3;
                        sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);

                        sett.GridProperties.Columns.Add(
                             l =>
                             {
                                 l.Name = "SUB_SUPPLIER_CODE_PLANT";
                                 l.FieldName = "SUB_SUPPLIER_CODE_PLANT";
                                 l.Caption = "Sub. Supplier<br /> Code";
                                 l.Width = Unit.Pixel(120);
                                 l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             }
                           );

                        sett.GridProperties.Columns.Add(
                            l =>
                            {
                                l.Name = "SUB_SUPPLIER_NAME NAME";
                                l.FieldName = "SUB_SUPPLIER_NAME";
                                l.Caption = "Sub. Supplier<br />Name";
                                //l.Width = Unit.Percentage(250);
                                l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            }
                          );
                    }
                    ).Bind(ViewData["subsupplierDatas"]).GetHtml()
            </td> 

            <td style="vertical-align:top">
                <table >
                    <tr> 
                        <td colspan="3" style="text-align:right;">
                            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnSearch";
                                    setting.Text = "Search";
                                    setting.Width = Unit.Pixel(90);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "Search";
                                }
                            ).GetHtml()

                            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnClear";
                                    setting.Text = "Clear";
                                    setting.Width = Unit.Pixel(90);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "Clear";
                                }
                            ).GetHtml() 
                        </td>
                    </tr>
                    <tr> 
                        <td colspan="3" style="text-align:right;">
                            @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnDownload";
                                    setting.Text = "Download";
                                    setting.Width = Unit.Pixel(90);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "downloadList";
                                }
                            ).GetHtml()

                             @Html.DevExpress().Button(
                                setting =>
                                {
                                    setting.Name = "btnSubmit";
                                    setting.Text = "Submit";
                                    setting.Width = Unit.Pixel(90);
                                    setting.UseSubmitBehavior = true;
                                    setting.Style.Add("display", "inline-table");
                                    setting.ClientSideEvents.Click = "Submit";
                                }
                            ).GetHtml()  
                        </td>
                    </tr>
                </table>

            </td>

        </tr> 

        <tr>
            <td></td>
           <td style="vertical-align:top">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Sub Manifest No";
                }).GetHtml()
            </td>
            <td></td>
            <td style="vertical-align:top">
                @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "SMCSubManifestNoText";
                textBox.Name = "SMCSubManifestNoText";
                textBox.Properties.MaxLength = 16;
                textBox.Width = Unit.Pixel(110);
            }).GetHtml()
            </td> 

        </tr>


    </table>
</div>
